package fi.lpam.gui.elementit;

import javafx.geometry.Insets;
import javafx.scene.layout.*;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.text.FontWeight;

/**
 * Käyttöliittymän  pohja
 */
public class TabPohja extends StackPane {
    public static final Insets oletusInsets = new Insets(5);
    public static final String oletusStyle = "-fx-background-color: lightgray;";
    public static final Font otsikkoFont = Font.font("Open Sans", FontWeight.BOLD, 18);
    public static final Font buttonFont = Font.font("Open Sans", FontWeight.BOLD, 16);
    public static final Font tekstiFont = Font.font("Open Sans", FontWeight.NORMAL, 16);
    public static final Border oletusBorder = new Border(new BorderStroke(Color.BLACK, BorderStrokeStyle.SOLID, new CornerRadii(5), BorderWidths.DEFAULT));

    public TabPohja() {
        this.setStyle(oletusStyle);
        this.setPadding(oletusInsets);
        this.setBorder(oletusBorder);
    }
}